.navigation__logo {
    display: block;
}

.navigation__logo-image {
    width: 100%;
}

.navigation__list {
    margin: 0;
    padding-left: 0;
    list-style: none;
    display: flex;
    align-items: baseline;
}

.navigation__item {
    margin-right: 54px;
}

.navigation__item:last-child {
    margin-right: 0;
}

.navigation__link {
    font-weight: 800;
    font-size: 24px;
    text-decoration: none;
}

.navigation--header .navigation__logo {
    padding-right: 32px;
}

.navigation--header .navigation__logo {
    grid-column: span 4;
}

.navigation--header .navigation__list {
    grid-column: 5/-1;
}

.navigation--header .navigation__link {
    color: var(--color-primary);
}

.navigation--header .navigation__link--active,
.navigation--header .navigation__link:hover {
    color: var(--color-accent-hover);
}

.navigation--footer {
    align-items: center;
}

.navigation--footer .navigation__logo {
    padding-right: 58px;
}

.navigation--footer .navigation__logo {
    grid-column: span 2;
}

.navigation--footer .navigation__list {
    grid-column: 3/-1;
}

.navigation--footer .navigation__link {
    color: var(--color-white);
}

.navigation--footer .navigation__link--active,
.navigation--footer .navigation__link:hover {
    color: var(--color-accent-hover);
}